Module | Bio::NCBI::REST::EFetch::Methods
In: | lib/bio/io/ncbirest.rb

### Methods

journal nucleotide omim pmc protein pubmed sequence taxonomy

### Public Instance methods

journal(ids, format = "full", hash = {})

Retrieve journal entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchlit_help.html

## Usage

     Bio::NCBI::REST::EFetch.journal(21854)

     list = [21854, 21855]
     Bio::NCBI::REST::EFetch.journal(list)
     Bio::NCBI::REST::EFetch.journal(list, "xml")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.journal(list)
     ncbi.journal(list, "xml")

Arguments:

- ids: list of journal entry IDs (required)
- format: "full", "xml"

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 762
    762:       def journal(ids, format = "full", hash = {})
    763:         case format
    764:         when "xml"
    765:           format = "full"
    766:           mode = "xml"
    767:         else
    768:           mode = "text"
    769:         end
    770:         opts = { "db" => "journals", "rettype" => format, "retmode" => mode }
    771:         opts.update(hash)
    772:         Bio::NCBI::REST.efetch(ids, opts)
    773:       end

nucleotide(ids, format = "gb", hash = {})

Retrieve nucleotide sequence entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchseq_help.html

     nucleotide = nuccore + nucest + nucgss

format (rettype):

- native all but Gene ASN Default format for viewing sequences
- fasta all sequence FASTA view of a sequence
- gb NA sequence GenBank view for sequences
- gbc NA sequence INSDSeq structured flat file
- gbwithparts NA sequence GenBank CON division with sequences
- est dbEST sequence EST Report
- gss dbGSS sequence GSS Report
- gp AA sequence GenPept view
- gpc AA sequence INSDSeq structured flat file
- seqid all sequence Convert GIs into seqids
- acc all sequence Convert GIs into accessions
- chr dbSNP only SNP Chromosome Report
- flt dbSNP only SNP Flat File report
- rsr dbSNP only SNP RS Cluster report
- brief dbSNP only SNP ID list
- docset dbSNP only SNP RS summary

## Usage

     Bio::NCBI::REST::EFetch.nucleotide("123,U12345,U12345.1,gb|U12345|")

     list = [123, "U12345.1", "gb|U12345|"]
     Bio::NCBI::REST::EFetch.nucleotide(list)
     Bio::NCBI::REST::EFetch.nucleotide(list, "fasta")
     Bio::NCBI::REST::EFetch.nucleotide(list, "acc")
     Bio::NCBI::REST::EFetch.nucleotide(list, "xml")

     Bio::NCBI::REST::EFetch.nucleotide("AE009950")
     Bio::NCBI::REST::EFetch.nucleotide("AE009950", "gbwithparts")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.nucleotide("123,U12345,U12345.1,gb|U12345|")
     ncbi.nucleotide(list)
     ncbi.nucleotide(list, "fasta")
     ncbi.nucleotide(list, "acc")
     ncbi.nucleotide(list, "xml")
     ncbi.nucleotide("AE009950")
     ncbi.nucleotide("AE009950", "gbwithparts")

Arguments:

- ids: list of NCBI entry IDs (required)
- format: "gb", "gbc", "fasta", "acc", "xml" etc.

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 596
    596:       def nucleotide(ids, format = "gb", hash = {})
    597:         case format
    598:         when "xml"
    599:           format = "gbc"
    600:         end
    601:         opts = { "db" => "nucleotide", "rettype" => format }
    602:         opts.update(hash)
    603:         Bio::NCBI::REST.efetch(ids, opts)
    604:       end

omim(ids, format = "detailed", hash = {})

Retrieve OMIM entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchlit_help.html

## Usage

     Bio::NCBI::REST::EFetch.omim(143100)

     list = [143100, 602260]
     Bio::NCBI::REST::EFetch.omim(list)
     Bio::NCBI::REST::EFetch.omim(list, "xml")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.omim(list)
     ncbi.omim(list, "xml")

Arguments:

- ids: list of OMIM entry IDs (required)
- format: "docsum", "synopsis", "variants", "detailed", "linkout", "xml"

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 797
    797:       def omim(ids, format = "detailed", hash = {})
    798:         case format
    799:         when "xml"
    800:           format = "full"
    801:           mode = "xml"
    802:         when "linkout"
    803:           format = "ExternalLink"
    804:           mode = "text"
    805:         else
    806:           mode = "text"
    807:         end
    808:         opts = { "db" => "omim", "rettype" => format, "retmode" => mode }
    809:         opts.update(hash)
    810:         Bio::NCBI::REST.efetch(ids, opts)
    811:       end

pmc(ids, format = "docsum", hash = {})

Retrieve PubMed Central entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchlit_help.html

## Usage

     Bio::NCBI::REST::EFetch.pmc(1360101)
     Bio::NCBI::REST::EFetch.pmc("1360101,534663")

     list = [1360101, 534663]
     Bio::NCBI::REST::EFetch.pmc(list)
     Bio::NCBI::REST::EFetch.pmc(list, "xml")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.pmc(list)
     ncbi.pmc(list, "xml")

Arguments:

- ids: list of PubMed Central entry IDs (required)
- format: "docsum", "xml"

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 728
    728:       def pmc(ids, format = "docsum", hash = {})
    729:         case format
    730:         when "xml"
    731:           format = "medline"
    732:           mode = "xml"
    733:         else
    734:           mode = "text"
    735:         end
    736:         opts = { "db" => "pmc", "rettype" => format, "retmode" => mode }
    737:         Bio::NCBI::REST.efetch(ids, opts)
    738:       end

protein(ids, format = "gp", hash = {})

Retrieve protein sequence entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchseq_help.html

     protein

format (rettype):

- native all but Gene ASN Default format for viewing sequences
- fasta all sequence FASTA view of a sequence
- gb NA sequence GenBank view for sequences
- gbc NA sequence INSDSeq structured flat file
- gbwithparts NA sequence GenBank CON division with sequences
- est dbEST sequence EST Report
- gss dbGSS sequence GSS Report
- gp AA sequence GenPept view
- gpc AA sequence INSDSeq structured flat file
- seqid all sequence Convert GIs into seqids
- acc all sequence Convert GIs into accessions
- chr dbSNP only SNP Chromosome Report
- flt dbSNP only SNP Flat File report
- rsr dbSNP only SNP RS Cluster report
- brief dbSNP only SNP ID list
- docset dbSNP only SNP RS summary

## Usage

     Bio::NCBI::REST::EFetch.protein("7527480,AAF63163.1,AAF63163")

     list = [ 7527480, "AAF63163.1", "AAF63163"]
     Bio::NCBI::REST::EFetch.protein(list)
     Bio::NCBI::REST::EFetch.protein(list, "fasta")
     Bio::NCBI::REST::EFetch.protein(list, "acc")
     Bio::NCBI::REST::EFetch.protein(list, "xml")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.protein("7527480,AAF63163.1,AAF63163")
     ncbi.protein(list)
     ncbi.protein(list, "fasta")
     ncbi.protein(list, "acc")
     ncbi.protein(list, "xml")

Arguments:

- ids: list of NCBI entry IDs (required)
- format: "gp", "gpc", "fasta", "acc", "xml" etc.

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 653
    653:       def protein(ids, format = "gp", hash = {})
    654:         case format
    655:         when "xml"
    656:           format = "gpc"
    657:         end
    658:         opts = { "db" => "protein", "rettype" => format }
    659:         opts.update(hash)
    660:         Bio::NCBI::REST.efetch(ids, opts)
    661:       end

pubmed(ids, format = "medline", hash = {})

Retrieve PubMed entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchlit_help.html

## Usage

     Bio::NCBI::REST::EFetch.pubmed(15496913)
     Bio::NCBI::REST::EFetch.pubmed("15496913,11181995")

     list = [15496913, 11181995]
     Bio::NCBI::REST::EFetch.pubmed(list)
     Bio::NCBI::REST::EFetch.pubmed(list, "abstract")
     Bio::NCBI::REST::EFetch.pubmed(list, "citation")
     Bio::NCBI::REST::EFetch.pubmed(list, "medline")
     Bio::NCBI::REST::EFetch.pubmed(list, "xml")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.pubmed(list)
     ncbi.pubmed(list, "abstract")
     ncbi.pubmed(list, "citation")
     ncbi.pubmed(list, "medline")
     ncbi.pubmed(list, "xml")

Arguments:

- ids: list of PubMed entry IDs (required)
- format: "abstract", "citation", "medline", "xml"

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 692
    692:       def pubmed(ids, format = "medline", hash = {})
    693:         case format
    694:         when "xml"
    695:           format = "medline"
    696:           mode = "xml"
    697:         else
    698:           mode = "text"
    699:         end
    700:         opts = { "db" => "pubmed", "rettype" => format, "retmode" => mode }
    701:         opts.update(hash)
    702:         Bio::NCBI::REST.efetch(ids, opts)
    703:       end

sequence(ids, format = "gb", hash = {})

Retrieve sequence entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchseq_help.html

     sequences = gene + genome + nucleotide + protein + popset + snp
     nucleotide = nuccore + nucest + nucgss

format (rettype):

- native all but Gene ASN Default format for viewing sequences
- fasta all sequence FASTA view of a sequence
- gb NA sequence GenBank view for sequences
- gbc NA sequence INSDSeq structured flat file
- gbwithparts NA sequence GenBank CON division with sequences
- est dbEST sequence EST Report
- gss dbGSS sequence GSS Report
- gp AA sequence GenPept view
- gpc AA sequence INSDSeq structured flat file
- seqid all sequence Convert GIs into seqids
- acc all sequence Convert GIs into accessions
- chr dbSNP only SNP Chromosome Report
- flt dbSNP only SNP Flat File report
- rsr dbSNP only SNP RS Cluster report
- brief dbSNP only SNP ID list
- docset dbSNP only SNP RS summary

## Usage

     Bio::NCBI::REST::EFetch.sequence("123,U12345,U12345.1,gb|U12345|")

     list = [123, "U12345.1", "gb|U12345|"]
     Bio::NCBI::REST::EFetch.sequence(list)
     Bio::NCBI::REST::EFetch.sequence(list, "fasta")
     Bio::NCBI::REST::EFetch.sequence(list, "acc")
     Bio::NCBI::REST::EFetch.sequence(list, "xml")

     Bio::NCBI::REST::EFetch.sequence("AE009950")
     Bio::NCBI::REST::EFetch.sequence("AE009950", "gbwithparts")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.sequence("123,U12345,U12345.1,gb|U12345|")
     ncbi.sequence(list)
     ncbi.sequence(list, "fasta")
     ncbi.sequence(list, "acc")
     ncbi.sequence(list, "xml")
     ncbi.sequence("AE009950")
     ncbi.sequence("AE009950", "gbwithparts")

Arguments:

- ids: list of NCBI entry IDs (required)
- format: "gb", "gbc", "fasta", "acc", "xml" etc.

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 534
    534:       def sequence(ids, format = "gb", hash = {})
    535:         case format
    536:         when "xml"
    537:           format = "gbc"
    538:         end
    539:         opts = { "db" => "sequences", "rettype" => format }
    540:         opts.update(hash)
    541:         Bio::NCBI::REST.efetch(ids, opts)
    542:       end

taxonomy(ids, format = "docsum", hash = {})

Retrieve taxonomy entries by given IDs using E-Utils (efetch).

- eutils.ncbi.nlm.nih.gov/entrez/query/static/efetchtax_help.html

## Usage

     Bio::NCBI::REST::EFetch.taxonomy(42241)

     list = [232323, 290179, 286681]
     Bio::NCBI::REST::EFetch.taxonomy(list)
     Bio::NCBI::REST::EFetch.taxonomy(list, "xml")

     ncbi = Bio::NCBI::REST::EFetch.new
     ncbi.taxonomy(list)
     ncbi.taxonomy(list, "xml")

Arguments:

- ids: list of Taxonomy entry IDs (required)
- format: "brief", "docsum", "xml"

Returns: | String

[Source]

         # File lib/bio/io/ncbirest.rb, line 835
    835:       def taxonomy(ids, format = "docsum", hash = {})
    836:         case format
    837:         when "xml"
    838:           format = "full"
    839:           mode = "xml"
    840:         else
    841:           mode = "text"
    842:         end
    843:         opts = { "db" => "taxonomy", "rettype" => format, "retmode" => mode }
    844:         Bio::NCBI::REST.efetch(ids, opts)
    845:       end

[Validate]